Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Class ObjectId

    java.lang.Object
      org.infinispan.schematic.document.ObjectId

    @Immutable
    @SerializeWith(value=ObjectId.Externalizer.class)
    public final class ObjectId

extends Object

A `ObjectId` value for use within a `BSON object`, and are 12-byte binary values designed to have a reasonably high probability of being unique when allocated.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `ObjectId.Externalizer`

Constructor Summary
`ObjectId(int time, int machine, int process, int inc)`

Method Summary
`boolean` | `equals(Object obj)`
`byte[]` | `getBytes()`
`String` | `getBytesInBase16()`
`String` | `getBytesInBase64()`
`int` | `getInc()`
`int` | `getMachine()`
`int` | `getProcess()`
`int` | `getTime()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectId

    public ObjectId(int time,
                    int machine,
                    int process,
                    int inc)

Method Detail

### getTime

    public int getTime()

### getMachine

    public int getMachine()

### getProcess

    public int getProcess()

### getInc

    public int getInc()

### getBytes

    public byte[] getBytes()

### getBytesInBase64

    public String getBytesInBase64()

### getBytesInBase16

    public String getBytesInBase16()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.